import { select, csv } from 'd3';
import { barplot } from './barplot';

const csvUrl = [
  'https://raw.githubusercontent.com/',
  'holtzy/data_to_viz/',
  'master/Example_dataset/',
  '7_OneCatOneNum_header.csv',
].join('');

const width = innerWidth;
const height = innerHeight;

const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);

const margin = {
  top: 30,
  right: 20,
  bottom: 50,
  left: 70,
};

const parseRow = (data) => {
  const d = {};
  d.value = +data.Value;
  d.country = data.Country;
  return d;
};

const main = async () => {
  const data = await csv(csvUrl, parseRow);

  // sort data
  // data.sort(function(b, a) {
  //   return a.value - b.value;
  // });
  

  const plot = barplot()
    .width(width)
    .height(height)
    .data(data)
    .xValue((d) => d.country)
    .xLabel('Country →')
    .yValue((d) => d.value)
    .yLabel('Population →')
    .chartTitle('Country vs Population Graph')
    .margin(margin);

  svg.call(plot); // pass selection to the barplot
};

main